## ros-kinetic-fetch-simulation 0.8.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(fetch_simulation)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-kinetic-fetch-simulation (0.8.2-0xenial) xenial; urgency=high



 -- Alex Moriarty <amoriarty@fetchrobotics.com>  Thu, 28 Mar 2019 07:00:00 -0000

ros-kinetic-fetch-simulation (0.8.1-0xenial) xenial; urgency=high

  * [fetch_simulation] fix filename & CMakeLists.txt
    cherry-pick 730051a64df815ed61b6d3fb012fb5a225ae2e2e
  * [fetch_simulation] new meta-package (#52 <https://github.com/fetchrobotics/fetch_gazebo/issues/52>) (#54 <https://github.com/fetchrobotics/fetch_gazebo/issues/54>)
    A meta-package makes installing things easier and they're used with
    wiki.ros.org and index.ros.org to automatically group and link things.
  * Contributors: Alexander Moriarty

 -- Alex Moriarty <amoriarty@fetchrobotics.com>  Tue, 26 Mar 2019 07:00:00 -0000

ros-kinetic-fetch-simulation (0.8.0-0xenial) xenial; urgency=high

  * Meta-package fetch_simulation was newly added after 0.8.0

 -- Alex Moriarty <amoriarty@fetchrobotics.com>  Tue, 27 Dec 2016 08:00:00 -0000

=== debian/control ===
Source: ros-kinetic-fetch-simulation
Section: misc
Priority: extra
Maintainer: Alex Moriarty <amoriarty@fetchrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin
Homepage: https://docs.fetchrobotics.com/gazebo.html
Standards-Version: 3.9.2

Package: ros-kinetic-fetch-simulation
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-fetch-gazebo, ros-kinetic-fetch-gazebo-demo, ros-kinetic-fetchit-challenge
Description: Fetch Simulation, packages for working with Fetch and Freight in Gazebo

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-fetch-simulation//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
